#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-networkx
Version		:	2.6.3
Release		:	14.8.0.0%{?dist}
Summary		:	Creates and Manipulates Graphs and Networks

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://networkx.org/
			#https://github.com/networkx/networkx

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel


#-----------------------------------------------------------------------------
%description
NetworkX is a Python 3 package for the creation,
manipulation, and study of the structure, dynamics,
and functions of complex networks.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.txt
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/*.py
%{python3_sitelib}/%{sname}/algorithms/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/approximation/*.py
%{python3_sitelib}/%{sname}/algorithms/approximation/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/approximation/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/approximation/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/assortativity/*.py
%{python3_sitelib}/%{sname}/algorithms/assortativity/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/assortativity/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/assortativity/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/bipartite/*.py
%{python3_sitelib}/%{sname}/algorithms/bipartite/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/bipartite/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/bipartite/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/centrality/*.py
%{python3_sitelib}/%{sname}/algorithms/centrality/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/centrality/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/centrality/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/coloring/*.py
%{python3_sitelib}/%{sname}/algorithms/coloring/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/coloring/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/coloring/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/community/*.py
%{python3_sitelib}/%{sname}/algorithms/community/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/community/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/community/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/components/*.py
%{python3_sitelib}/%{sname}/algorithms/components/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/components/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/components/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/connectivity/*.py
%{python3_sitelib}/%{sname}/algorithms/connectivity/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/connectivity/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/connectivity/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/flow/*.py
%{python3_sitelib}/%{sname}/algorithms/flow/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/flow/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/flow/tests/*.bz2
%{python3_sitelib}/%{sname}/algorithms/flow/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/isomorphism/*.py
%{python3_sitelib}/%{sname}/algorithms/isomorphism/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/isomorphism/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/isomorphism/tests/*99
%{python3_sitelib}/%{sname}/algorithms/isomorphism/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/link_analysis/*.py
%{python3_sitelib}/%{sname}/algorithms/link_analysis/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/link_analysis/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/link_analysis/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/minors/*.py
%{python3_sitelib}/%{sname}/algorithms/minors/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/minors/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/minors/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/node_classification/*.py
%{python3_sitelib}/%{sname}/algorithms/node_classification/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/node_classification/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/node_classification/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/operators/*.py
%{python3_sitelib}/%{sname}/algorithms/operators/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/operators/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/operators/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/shortest_paths/*.py
%{python3_sitelib}/%{sname}/algorithms/shortest_paths/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/shortest_paths/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/shortest_paths/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/traversal/*.py
%{python3_sitelib}/%{sname}/algorithms/traversal/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/traversal/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/traversal/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/tree/*.py
%{python3_sitelib}/%{sname}/algorithms/tree/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/algorithms/tree/tests/*.py
%{python3_sitelib}/%{sname}/algorithms/tree/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/classes/*.py
%{python3_sitelib}/%{sname}/classes/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/classes/tests/*.py
%{python3_sitelib}/%{sname}/classes/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/drawing/*.py
%{python3_sitelib}/%{sname}/drawing/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/drawing/tests/*.py
%{python3_sitelib}/%{sname}/drawing/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/generators/atlas.dat.gz
%{python3_sitelib}/%{sname}/generators/*.py
%{python3_sitelib}/%{sname}/generators/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/generators/tests/*.py
%{python3_sitelib}/%{sname}/generators/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/linalg/*.py
%{python3_sitelib}/%{sname}/linalg/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/linalg/tests/*.py
%{python3_sitelib}/%{sname}/linalg/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/readwrite/*.py
%{python3_sitelib}/%{sname}/readwrite/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/readwrite/json_graph/*.py
%{python3_sitelib}/%{sname}/readwrite/json_graph/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/readwrite/json_graph/tests/*.py
%{python3_sitelib}/%{sname}/readwrite/json_graph/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/readwrite/tests/*.py
%{python3_sitelib}/%{sname}/readwrite/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/testing/*.py
%{python3_sitelib}/%{sname}/testing/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/testing/tests/*.py
%{python3_sitelib}/%{sname}/testing/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/*.py
%{python3_sitelib}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/*.py
%{python3_sitelib}/%{sname}/utils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/tests/*.py
%{python3_sitelib}/%{sname}/utils/tests/__pycache__/*.pyc
%{_defaultdocdir}/%{sname}-%{version}/examples/*
%{_defaultdocdir}/%{sname}-%{version}/LICENSE.txt
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
